/*
 * Copyright (c) 2016-present Sonatype, Inc. All rights reserved.
 *
 * This program is licensed to you under the Apache License Version 2.0,
 * and you may not use this file except in compliance with the Apache License Version 2.0.
 * You may obtain a copy of the Apache License Version 2.0 at http://www.apache.org/licenses/LICENSE-2.0.
 *
 * Unless required by applicable law or agreed to in writing,
 * software distributed under the Apache License Version 2.0 is distributed on an
 * "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the Apache License Version 2.0 for the specific language governing permissions and limitations there under.
 */
package org.sonatype.nexus.ci.iq.callflow.java.JavaAnalysisConfig

import lib.FormTagLib

def f = namespace(FormTagLib)

f.entry(title: 'Enable', field: 'enable') {
  f.checkbox()
}

f.entry(title: 'Algorithm', field: 'algorithm') {
  f.select()
}

f.entry(title: 'Includes', help: descriptor.getHelpFile('includes')) {
  f.repeatable(field: 'includes', minimum: '0') {
    f.textbox(field: 'pattern')
    f.repeatableDeleteButton()
  }
}

f.entry(title: 'Entrypoint Strategy', field: 'entrypointStrategy', help: descriptor.getHelpFile('strategy')) {
  f.select()
}

f.entry(title: 'Namespaces', help: descriptor.getHelpFile('namespaces')) {
  f.repeatable(field: 'namespaces', minimum: '0') {
    f.textbox(field: 'namespace')
    f.repeatableDeleteButton()
  }
}


